Skip to main content

Documentation Index

Fetch the complete documentation index at: https://docs.pixcraft.es/llms.txt

Use this file to discover all available pages before exploring further.

List Niches

GET /api/v1/niches
Returns all available niches for your API key’s plan, with default configuration and constraints.

Example response

{
  "niches": [
    {
      "id": "curtains",
      "name": "Cortinas",
      "description": "Diseña cortinas de lamas verticales u horizontales con patrones personalizados a partir de cualquier imagen.",
      "unit_name": "eslabon",
      "unit_name_plural": "eslabones",
      "row_name": "lama",
      "row_name_plural": "lamas",
      "defaults": {
        "unit_width_cm": 1.5,
        "unit_height_cm": 2.0
      },
      "constraints": {
        "min_width_cm": 10,
        "max_width_cm": 1000,
        "min_colors": 2,
        "max_colors": 15
      }
    },
    {
      "id": "mosaics",
      "name": "Mosaicos",
      "description": "Crea mosaicos de azulejos o teselas de colores a partir de cualquier imagen.",
      "unit_name": "tesela",
      "unit_name_plural": "teselas",
      "defaults": {
        "unit_width_cm": 2.0,
        "unit_height_cm": 2.0
      },
      "constraints": {
        "min_width_cm": 10,
        "max_width_cm": 1000,
        "min_colors": 2,
        "max_colors": 18
      }
    }
  ]
}

Current niches

IDNameUnitDefault sizeMax colors
curtainsCortinaseslabon1.5 × 2.0 cm15
mosaicsMosaicostesela2.0 × 2.0 cm18
crossstitchPunto de cruzpunto0.3 × 0.3 cm27
legoLEGOstud0.8 × 0.8 cm20
diamondDiamond Paintingdiamante0.25 × 0.25 cm30
embroideryBordadopuntada0.4 × 0.4 cm27
rugsAlfombrasnudo0.6 × 0.6 cm21
hamaHama Beadscuenta0.5 × 0.5 cm27
crochetCrochet tapizpunto0.5 × 0.6 cm31
paintnumbersPintura por númeroszona1.0 × 1.0 cm34
minecraftMinecraft Pixel Artbloque1.0 × 1.0 cm16
bottlecapsTapones de botellatapón3.2 × 3.2 cm14
knittingTricotpunto0.4 × 0.6 cm31
latchhookLatch Hookhebra1.0 × 1.0 cm26
stainedglassVitralpieza2.0 × 2.0 cm15
needlepointBordado en cañamazopunto0.35 × 0.35 cm27
macrameMacraménudo0.8 × 0.8 cm15
robloxRoblox Pixel Artbloque1.0 × 1.0 cm20
quillingQuillingtira0.5 × 0.5 cm22
weavingTejido en telarpasada0.3 × 0.4 cm31
petitpointPetit Pointpunto0.15 × 0.15 cm27

Notes

  • This list is generated dynamically. When new niches are added to PixCraft, they appear here automatically.
  • If your API key has allowed_niches restrictions, only those niches will be returned.
  • Use the defaults values when you don’t want to ask the user for unit sizes — they are the recommended values for each niche.